> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook subscription



## OpenAPI

````yaml /api-reference/openapi.json put /v1/webhooks/{subscriptionId}
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/webhooks/{subscriptionId}:
    put:
      tags:
        - Webhooks
      summary: Update webhook subscription
      operationId: updateWebhook
      parameters:
        - name: subscriptionId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                isActive:
                  type: boolean
                eventTypes:
                  type: array
                  items:
                    type: string
                    enum:
                      - DEPOSITE_INCOMING_DETECTED
                      - DEPOSITE_OUTGOING_DETECTED
                      - SWAP_EXECUTED
                      - SWAP_FAILED
                      - TRANSFER_EXECUTED
                      - TRANFER_FAILED
                      - SIGNED_SUCCESS
                      - SIGNED_FAILED
                      - DEPOSITE_ADDRESS_CREATED
      responses:
        '200':
          description: Webhook subscription updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      description:
                        type: string
                        nullable: true
                      developerId:
                        type: string
                      url:
                        type: string
                      eventTypes:
                        type: array
                        items:
                          type: string
                          enum:
                            - DEPOSITE_INCOMING_DETECTED
                            - DEPOSITE_OUTGOING_DETECTED
                            - SWAP_EXECUTED
                            - SWAP_FAILED
                            - TRANSFER_EXECUTED
                            - TRANFER_FAILED
                            - SIGNED_SUCCESS
                            - SIGNED_FAILED
                            - DEPOSITE_ADDRESS_CREATED
                      secret:
                        type: string
                      isActive:
                        type: boolean
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                  message:
                    type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````